package com.fjhx.sale.service.after;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.after.dto.AfterSalesDto;
import com.fjhx.sale.entity.after.dto.AfterSalesSelectDto;
import com.fjhx.sale.entity.after.po.AfterSales;
import com.fjhx.sale.entity.after.vo.AfterSalesVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * sale_售后管理 服务类
 * </p>
 *
 * @author
 * @since 2024-01-31
 */
public interface AfterSalesService extends BaseService<AfterSales> {

    /**
     * sale_售后管理分页
     */
    Page<AfterSalesVo> getPage(AfterSalesSelectDto dto);

    /**
     * sale_售后管理明细
     */
    AfterSalesVo detail(Long id);

    /**
     * sale_售后管理新增
     */
    void add(AfterSalesDto afterSalesDto);

    /**
     * sale_售后管理编辑
     */
    void edit(AfterSalesDto afterSalesDto);

    /**
     * sale_售后管理删除
     */
    void delete(Long id);

}
